## com.puppycrawl.tools.checkstyle.checks.j2ee
Class LocalInterfaceCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
                      com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractInterfaceCheck
                          com.puppycrawl.tools.checkstyle.checks.j2ee.LocalInterfaceCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class LocalInterfaceCheck

extends AbstractInterfaceCheck

Checks the methods of a local interface. Reference: Enterprise JavaBeansTM Specification,Version 2.1, section 12.2.10.

Author:
  Rick Giles

Constructor Summary
`LocalInterfaceCheck()` Constructs a `LocalInterfaceCheck`.

Method Summary
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractInterfaceCheck
`getDefaultTokens, getRequiredTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
`getMethodChecker, log, logName, setMethodChecker`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalInterfaceCheck

    public LocalInterfaceCheck()

  Constructs a `LocalInterfaceCheck`.

Method Detail

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Back to the Checkstyle Home Page